Name:           hexchat
Version:        2.14.2
Release:        %mkrel 1
Summary:        An IRC chat program

Group:          Networking/IRC
License:        GPLv2
Url:            https://hexchat.github.io
Source0:        https://dl.hexchat.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  appstream-util
BuildRequires:  desktop-file-utils
BuildRequires:  iso-codes-devel
BuildRequires:  %{_lib}canberra-devel
BuildRequires:  %{_lib}dbus-glib-1_2-devel
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}notify-devel
BuildRequires:  %{_lib}openssl-devel
BuildRequires:  %{_lib}proxy-devel
BuildRequires:  %{_lib}python3-devel
BuildRequires:  libpthread-stubs
BuildRequires:  luajit-devel
BuildRequires:  meson
BuildRequires:  pciutils-devel
BuildRequires:  perl-devel
Requires:       libnotify

%description
HexChat is an IRC chat program. It allows you to join multiple IRC
channels (chat rooms) at the same time, talk publicly, private
one-on-one conversations etc.

HexChat is based on XChat, but unlike XChat it's completely free
for both Windows and Unix-like systems.

%package devel
Summary:        HexChat header for plugin development
Group:          Development/Libraries
Conflicts:      xchat-devel

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%prep
%setup -q

%build
%global ldflags "-Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id"
%meson
%meson_build

%install
%meson_install
find %{buildroot} -type f -regex ".*\.\(a\|la\)$" -delete
desktop-file-edit --set-key=Exec --set-value="hexchat -e %U" %{buildroot}%{_desktopdir}/io.github.Hexchat.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc COPYING readme.md
%{_bindir}/%{name}
%{_libdir}/%{name}/plugins/*
%{_desktopdir}/io.github.Hexchat.desktop
%{_datadir}/dbus-1/services/org.%{name}.service.service
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.*
%{_datadir}/metainfo/io.github.Hexchat.appdata.xml
/usr/io.github.Hexchat.Plugin.Checksum.metainfo.xml
/usr/io.github.Hexchat.Plugin.Fishlim.metainfo.xml
/usr/io.github.Hexchat.Plugin.Lua.metainfo.xml
/usr/io.github.Hexchat.Plugin.Perl.metainfo.xml
/usr/io.github.Hexchat.Plugin.Python.metainfo.xml
/usr/io.github.Hexchat.Plugin.Sysinfo.metainfo.xml

%files devel
%{_includedir}/%{name}-plugin.h
%{_libdir}/pkgconfig/%{name}-plugin.pc

%changelog
* Mon Dec 24 2018 adrianomorselli <adrianomorselli> 2.14.2-1uplos2019
- update
